Page MenuHomePhabricator

Don't show edit summary if only the title was changed
Closed, ResolvedPublic2 Story Points

Description

Motivation
When the file info is changed, we proved an edit summary input field, because a new revision is generated. When the title is changed, this is actually a file move. The first revision will say something like "moved from wikipedia/xx to Commons/yy with the file importer". In this case we don't need an extra edit summary, since no extra revision is created.

Acceptance Criteria

  • If the title was changed, don't show the edit summary field

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 25 2018, 10:59 AM
Lea_WMDE renamed this task from Changing title during import is not visible in page history of imported file to Don't show edit summary if only the title was changed.May 29 2018, 1:38 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 2.
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-06-19 board.

Change 441164 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Don't show edit summary if only the title was changed

https://gerrit.wikimedia.org/r/441164

Change 441164 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Don't show edit summary if only the title was changed

https://gerrit.wikimedia.org/r/441164

Vvjjkkii renamed this task from Don't show edit summary if only the title was changed to 39daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii removed Andrew-WMDE as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Andrew-WMDE; removed: gerritbot.
Community_Tech_bot renamed this task from 39daaaaaaa to Don't show edit summary if only the title was changed.Jul 1 2018, 7:07 AM
Community_Tech_bot assigned this task to Andrew-WMDE.
Community_Tech_bot set the point value for this task to 2.
Community_Tech_bot updated the task description. (Show Details)
Community_Tech_bot edited subscribers, added: gerritbot; removed: Andrew-WMDE.
CommunityTechBot lowered the priority of this task from High to Normal.Jul 3 2018, 1:39 AM
Lea_WMDE closed this task as Resolved.Jul 3 2018, 1:04 PM